#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './qconstanteditor.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "qconstanteditor.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistview.h"
#include "./qconstanteditor.ui.h"

/*
 *  Constructs a QConstantEditor as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
QConstantEditor::QConstantEditor( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "QConstantEditor" );
    QConstantEditorLayout = new QGridLayout( this, 1, 1, 11, 6, "QConstantEditorLayout"); 

    cmdDelete = new QPushButton( this, "cmdDelete" );
    cmdDelete->setEnabled( FALSE );

    QConstantEditorLayout->addWidget( cmdDelete, 2, 1 );

    cmdEdit = new QPushButton( this, "cmdEdit" );
    cmdEdit->setEnabled( FALSE );

    QConstantEditorLayout->addWidget( cmdEdit, 1, 1 );

    cmdDuplicate = new QPushButton( this, "cmdDuplicate" );
    cmdDuplicate->setEnabled( FALSE );

    QConstantEditorLayout->addWidget( cmdDuplicate, 3, 1 );

    cmdNew = new QPushButton( this, "cmdNew" );

    QConstantEditorLayout->addWidget( cmdNew, 0, 1 );

    varlist = new KListView( this, "varlist" );
    varlist->addColumn( tr2i18n( "Variable" ) );
    varlist->addColumn( tr2i18n( "Value" ) );
    varlist->setShowSortIndicator( TRUE );
    varlist->setItemsMovable( FALSE );

    QConstantEditorLayout->addMultiCellWidget( varlist, 0, 4, 0, 0 );
    spacer2 = new QSpacerItem( 20, 147, QSizePolicy::Minimum, QSizePolicy::Expanding );
    QConstantEditorLayout->addItem( spacer2, 4, 1 );
    languageChange();
    resize( QSize(388, 341).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cmdNew, SIGNAL( clicked() ), this, SLOT( cmdNew_clicked() ) );
    connect( cmdEdit, SIGNAL( clicked() ), this, SLOT( cmdEdit_clicked() ) );
    connect( cmdDelete, SIGNAL( clicked() ), this, SLOT( cmdDelete_clicked() ) );
    connect( varlist, SIGNAL( clicked(QListViewItem*) ), this, SLOT( varlist_clicked(QListViewItem*) ) );
    connect( cmdDuplicate, SIGNAL( clicked() ), this, SLOT( cmdDuplicate_clicked() ) );
    connect( varlist, SIGNAL( doubleClicked(QListViewItem*) ), this, SLOT( varlist_doubleClicked(QListViewItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
QConstantEditor::~QConstantEditor()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void QConstantEditor::languageChange()
{
    setCaption( tr2i18n( "Constant Editor" ) );
    cmdDelete->setText( tr2i18n( "&Delete" ) );
    QToolTip::add( cmdDelete, tr2i18n( "delete selected constant" ) );
    QWhatsThis::add( cmdDelete, tr2i18n( "Click here to delete the selected constant; it can only be removed if it is not currently used by a plot." ) );
    cmdEdit->setText( tr2i18n( "&Change Value..." ) );
    QToolTip::add( cmdEdit, tr2i18n( "Change the value of a user-defined constant" ) );
    QWhatsThis::add( cmdEdit, tr2i18n( "Click here to edit the value of the selected constant. Its name cannot be changed." ) );
    cmdDuplicate->setText( tr2i18n( "D&uplicate" ) );
    QToolTip::add( cmdDuplicate, tr2i18n( "Duplicate the selected constant" ) );
    QWhatsThis::add( cmdDuplicate, tr2i18n( "Click here to Copy the selected constant to another constant. You can choose the new name from a list." ) );
    cmdNew->setText( tr2i18n( "&New..." ) );
    QToolTip::add( cmdNew, tr2i18n( "Add a new constant" ) );
    QWhatsThis::add( cmdNew, tr2i18n( "Click this button to add a new constant." ) );
    varlist->header()->setLabel( 0, tr2i18n( "Variable" ) );
    varlist->header()->setLabel( 1, tr2i18n( "Value" ) );
    QToolTip::add( varlist, tr2i18n( "List of user-defined constants" ) );
    QWhatsThis::add( varlist, tr2i18n( "Select a constant to change its value, remove it or duplicate it." ) );
}

#include "qconstanteditor.moc"
